Bug 32271 - Test case for UMCP command umc/object/policies
Test case for UMCP command umc/object/policies
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: UMC
unspecified
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Florian Best
Janek Walkenhorst
: interim-3
Depends on: 31916 32397
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 12:01 CEST by Alexander Kläser
Modified: 2014-07-08 12:45 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-08-20 12:01:27 CEST
It would be good to have a test script that ensures the correct behaviour of the UMCP command udm/object/policies.


+++ This bug was initially created as a clone of Bug #31916 +++

The policy tab does not show the merged values if a policy is connected directly.

For example, I have two Master packages policies:

root@master111:~# univention-ldapsearch -LLL cn=m1 | egrep "(dn|univentionMasterPackages)"
dn: cn=m1,cn=policies,dc=deadlock11,dc=local
univentionMasterPackages: autoconf
root@master111:~# univention-ldapsearch -LLL cn=m2 | egrep "(dn|univentionMasterPackages)"
dn: cn=m2,cn=policies,dc=deadlock11,dc=local
univentionMasterPackagesRemove: automake
root@master111:~# 

Next I connect m1 with the ldap base. After that I connect m2 with computers container, only the m2 result is displayed on the policies tab of the computers container.

On the DC master the merged values are displayed.
Comment 1 Florian Best univentionstaff 2013-08-23 12:34:47 CEST
Test has been added: ucs-test/tests/60_umc/04_policies

ucs-test (4.0.96-1)
Comment 2 Alexander Kläser univentionstaff 2013-08-23 15:20:06 CEST
Cool! Would it not be easier to use Python (incl. the test framework) instead of bash?
Comment 3 Florian Best univentionstaff 2013-09-16 15:41:05 CEST
(In reply to Alexander Kläser from comment #2)
> Cool! Would it not be easier to use Python (incl. the test framework)
> instead of bash?
Currently not because the python test framework can not modify existing objects. I need to set,unset,cleanup policies at the LDAP root (and others). → Bug #32397
Comment 4 Florian Best univentionstaff 2013-10-10 12:14:58 CEST
The test case has been converted to python.
ucs-test has been adapted to have the possibility to also (de)reference policies.

ucs-test (4.0.136-1)
* Bug #32271: convert UMC policy result test case to python
* Bug #32271: add possiblity to (de)reference policies within the python UDM
     test framework
Comment 5 Janek Walkenhorst univentionstaff 2013-11-01 16:39:44 CET
Code review: OK
Test runs: OK
Test detects failure: OK

Changelog: Added
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:41:19 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".